[HP 635] Radeon 6310 brightness control does not work

Bug #1894667 reported by Erkan ÜNLÜTÜRK on 2020-09-07
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Alex Hung
Bionic
Undecided
Unassigned
Focal
Medium
Unassigned

Bug Description

Brightness setting does not work on versions 16.04.7 and 20.04.1

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: xorg 1:7.7+13ubuntu3.1
ProcVersionSignature: Ubuntu 4.15.0-112.113~16.04.1-generic 4.15.18
Uname: Linux 4.15.0-112-generic x86_64
.tmp.unity_support_test.0:

ApportVersion: 2.20.1-0ubuntu2.24
Architecture: amd64
CasperVersion: 1.376.2
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Mon Sep 7 12:10:27 2020
DistUpgraded: Fresh install
DistroCodename: xenial
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] Wrestler [Radeon HD 6310] [1002:9802] (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Wrestler [Radeon HD 6310] [103c:3577]
LiveMediaBuild: Ubuntu 16.04.7 LTS "Xenial Xerus" - Release amd64 (20200806)
MachineType: Hewlett-Packard HP 635 Notebook PC
ProcEnviron:
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=tr_TR.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd quiet splash --- debian-installer/language=tr keyboard-configuration/layoutcode?=tr
SourcePackage: xorg
Symptom: display
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/18/2011
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.48
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 3577
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 24.4A
dmi.chassis.asset.tag: Chassis Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.48:bd12/18/2011:svnHewlett-Packard:pnHP635NotebookPC:pvr058A100000004C10002600000:rvnHewlett-Packard:rn3577:rvr24.4A:cvnHewlett-Packard:ct10:cvrChassisVersion:
dmi.product.family: 103C_5336AN G=N L=SMB B=HP S=635
dmi.product.name: HP 635 Notebook PC
dmi.product.version: 058A100000004C10002600000
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz 1:0.9.12.3+16.04.20180221-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.91-2~16.04.1
version.libgl1-mesa-dri: libgl1-mesa-dri 18.0.5-0ubuntu0~16.04.1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 18.0.5-0ubuntu0~16.04.1
version.xserver-xorg-core: xserver-xorg-core N/A
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A
xserver.bootTime: Mon Sep 7 14:57:25 2020
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.19.6-1ubuntu4.1~16.04.2
xserver.video_driver: radeon
---
ProblemType: Bug
ApportVersion: 2.20.11-0ubuntu27.4
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: xubuntu 1827 F.... pulseaudio
 /dev/snd/controlC0: xubuntu 1827 F.... pulseaudio
CasperMD5CheckMismatches: ./pool/main/g/glibc/libc-dev-bin_2.31-0ubuntu9_amd64.deb
CasperMD5CheckResult: skip
CasperVersion: 1.445.1
CurrentDesktop: XFCE
DistroRelease: Ubuntu 20.04
LiveMediaBuild: Xubuntu 20.04.1 LTS "Focal Fossa" - Release amd64 (20200731)
MachineType: Hewlett-Packard HP 635 Notebook PC
NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
Package: linux (not installed)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=tr_TR.UTF-8
 SHELL=/bin/bash
ProcFB: 0 radeondrmfb
ProcKernelCmdLine: file=/cdrom/preseed/username.seed initrd=/casper/initrd quiet splash --- debian-installer/language=tr keyboard-configuration/layoutcode?=tr
ProcVersionSignature: Ubuntu 5.4.0-42.46-generic 5.4.44
RelatedPackageVersions:
 linux-restricted-modules-5.4.0-42-generic N/A
 linux-backports-modules-5.4.0-42-generic N/A
 linux-firmware 1.187.2
Tags: focal
Uname: Linux 5.4.0-42-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 12/18/2011
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.48
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 3577
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 24.4A
dmi.chassis.asset.tag: Chassis Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.48:bd12/18/2011:svnHewlett-Packard:pnHP635NotebookPC:pvr058A100000004C10002600000:rvnHewlett-Packard:rn3577:rvr24.4A:cvnHewlett-Packard:ct10:cvrChassisVersion:
dmi.product.family: 103C_5336AN G=N L=SMB B=HP S=635
dmi.product.name: HP 635 Notebook PC
dmi.product.sku: LH415EA#ABD
dmi.product.version: 058A100000004C10002600000
dmi.sys.vendor: Hewlett-Packard

CVE References

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg (Ubuntu):
status: New → Confirmed
Daniel Letzeisen (dtl131) wrote :

My HP dv5-something laptop gives me the same error message, but the control works anyway.

summary: - radeon 6310 brightness control does not work
+ [HP 635] Radeon 6310 brightness control does not work
affects: xorg (Ubuntu) → linux (Ubuntu)

apport information

tags: added: apport-collected focal
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Information entry for 20.04.1

I have the same problem manjaro 20.0.3 and Linux Mint 20

Alex Hung (alexhung) wrote :

Please run "ls /sys/class/backlight/" to see what backlight interfaces are available.

You may also want to try the kernel parameter for backlight such as below

        acpi_backlight= [HW,ACPI]
                        { vendor | video | native | none }
                        If set to vendor, prefer vendor-specific driver
                        (e.g. thinkpad_acpi, sony_acpi, etc.) instead
                        of the ACPI video.ko driver.
                        If set to video, use the ACPI video.ko driver.
                        If set to native, use the device's native backlight mode.
                        If set to none, disable the ACPI backlight interface.

xubuntu@xubuntu:~$ ls /sys/class/backlight/
radeon_bl0
xubuntu@xubuntu:~$

I do not know how to do it :(

Alex Hung (alexhung) wrote :

Let's try manually whether backlight interfaces work.

cd /sys/class/backlight/radeon_bl0
# get max brightness
cat max_brightness
# get current brightness
cat brightness
# change current brightness, assuming max=120000
echo 120000 | sudo tee brightness
echo 60000 | sudo tee brightness

Once done, did you see brightness changed?

Alex Hung (alexhung) wrote :

For modifying / adding kernel parameters, please refer to https://wiki.ubuntu.com/Kernel/KernelBootParameters

xubuntu@xubuntu:~$ cd /sys/class/backlight/radeon_bl0
xubuntu@xubuntu:/sys/class/backlight/radeon_bl0$ cat max_brightness
255
xubuntu@xubuntu:/sys/class/backlight/radeon_bl0$ cat brightness
255
xubuntu@xubuntu:/sys/class/backlight/radeon_bl0$ echo 120000 | sudo tee brightness
120000
tee: brightness: Invalid argument
xubuntu@xubuntu:/sys/class/backlight/radeon_bl0$ echo 60000 | sudo tee brightness
60000
tee: brightness: Invalid argument
xubuntu@xubuntu:/sys/class/backlight/radeon_bl0$

Brightness bar worked with acpi_backlight=video

xubuntu@xubuntu:/sys/class/backlight/radeon_bl0$ cd ..
xubuntu@xubuntu:/sys/class/backlight$ ls
acpi_video0 radeon_bl0
xubuntu@xubuntu:/sys/class/backlight$

I am trying with xubuntu 20.04.1 live usb.

Alex Hung (alexhung) wrote :

This is kind of expected since it is common that systems from 2011 use ACPI video interface. You can add the kernel into /etc/default/grub to make it consist across boots.

I will compile a linux kernel with a workaround of "acpi_backlight=video" for testing. If this work I can submit to linux kernel and you will not need to add kernel parameters in the future.

Alex Hung (alexhung) wrote :

Please try the kernel @ https://people.canonical.com/~alexhung/LP1894667/

1. remove kernel parameter "acpi_backlight=video"
2. download all deb
3. install kernel by "sudo dpkg -i *.deb"
4. reboot

This should be the same as "acpi_backlight=video"
1. run "ls /sys/class/backlight"
2. verify whether brightness bar works.

Yes the brightness bar is working

erkan@erkan-HP-635-Notebook-PC:~$ uname -a
Linux erkan-HP-635-Notebook-PC 5.4.0-47-generic #51 SMP Thu Sep 10 19:34:57 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
erkan@erkan-HP-635-Notebook-PC:~$ ls /sys/class/backlight
acpi_video0 radeon_bl0
erkan@erkan-HP-635-Notebook-PC:~$

Alex Hung (alexhung) wrote :

A patch was sent to upstream for review

After confirming please let me know, I will install clean ubuntu.

Alex Hung (alexhung) wrote :

Sure I will update the information here.However, this will take a while, i.e. patch review -> mainline kernel -> stable kernel -> Ubuntu focal kernel.

It is the same as using the kernel parameter, and the patch will not conflict with kernel parameter either.

Alex Hung (alexhung) wrote :

Information updates: the patch is now queued in 5.10.

Alex Hung (alexhung) on 2020-10-05
Changed in linux (Ubuntu):
assignee: nobody → Alex Hung (alexhung)
Stefan Bader (smb) wrote :

Via "Focal update: v5.4.75 upstream stable release" for 20.04

Changed in linux (Ubuntu Focal):
importance: Undecided → Medium
status: New → Fix Committed

Is this patch coming for 16.04.7?

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal

is working, thanks.

erkan@erkan-HP-635-Notebook-PC:~$ uname -a
Linux erkan-HP-635-Notebook-PC 5.4.0-57-generic #63-Ubuntu SMP Fri Nov 27 14:31:47 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
erkan@erkan-HP-635-Notebook-PC:~$ ls /sys/class/backlight/
acpi_video0 radeon_bl0
erkan@erkan-HP-635-Notebook-PC:~$

tags: added: verification-done-focal
removed: verification-needed-focal

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial

not working

erkan@erkan-HP-635-Notebook-PC:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.7 LTS
Release: 16.04
Codename: xenial
erkan@erkan-HP-635-Notebook-PC:~$ uname -a
Linux erkan-HP-635-Notebook-PC 4.15.0-126-generic #129~16.04.1-Ubuntu SMP Tue Nov 24 11:22:40 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
erkan@erkan-HP-635-Notebook-PC:~$ ls /sys/class/backlight
radeon_bl0
erkan@erkan-HP-635-Notebook-PC:~$

tags: added: verification-failed-xenial
removed: verification-needed-xenial

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic

is working with kernel bionic 4.15.0-127.130

tags: added: verification-done-bionic
removed: verification-needed-bionic

is working Ubuntu 16.04.7 LTS proposed kernel

tags: added: verification-done-xenial
removed: verification-failed-xenial
Changed in linux (Ubuntu Bionic):
status: New → Fix Committed

the patch did not work with the kernel 5.4.0-58.64 update. pc stopped working, thanks.
the patch can come off the kernel completely.

Launchpad Janitor (janitor) wrote :
Download full text (32.1 KiB)

This bug was fixed in the package linux - 5.4.0-59.65

---------------
linux (5.4.0-59.65) focal; urgency=medium

  * focal/linux: 5.4.0-59.65 -proposed tracker (LP: #1907604)

  * focal: selftests/bpf build broken: test_map_init.skel.h: No such file or
    directory (LP: #1906866)
    - SAUCE: Revert selftests/ "bpf: Zero-fill re-used per-cpu map element"

  * Packaging resync (LP: #1786013)
    - update dkms package versions

  * memory is leaked when tasks are moved to net_prio (LP: #1886859)
    - netprio_cgroup: Fix unlimited memory leak of v2 cgroups

  * Focal update: v5.4.78 upstream stable release (LP: #1905618)
    - drm/i915/gem: Flush coherency domains on first set-domain-ioctl
    - time: Prevent undefined behaviour in timespec64_to_ns()
    - nbd: don't update block size after device is started
    - KVM: arm64: Force PTE mapping on fault resulting in a device mapping
    - PCI: qcom: Make sure PCIe is reset before init for rev 2.1.0
    - usb: dwc3: gadget: Continue to process pending requests
    - usb: dwc3: gadget: Reclaim extra TRBs after request completion
    - btrfs: tracepoints: output proper root owner for trace_find_free_extent()
    - btrfs: sysfs: init devices outside of the chunk_mutex
    - btrfs: reschedule when cloning lots of extents
    - ASoC: Intel: kbl_rt5663_max98927: Fix kabylake_ssp_fixup function
    - genirq: Let GENERIC_IRQ_IPI select IRQ_DOMAIN_HIERARCHY
    - hv_balloon: disable warning when floor reached
    - net: xfrm: fix a race condition during allocing spi
    - ASoC: codecs: wcd9335: Set digital gain range correctly
    - xfs: set xefi_discard when creating a deferred agfl free log intent item
    - netfilter: use actual socket sk rather than skb sk when routing harder
    - netfilter: nf_tables: missing validation from the abort path
    - netfilter: ipset: Update byte and packet counters regardless of whether they
      match
    - powerpc/eeh_cache: Fix a possible debugfs deadlock
    - perf trace: Fix segfault when trying to trace events by cgroup
    - perf tools: Add missing swap for ino_generation
    - ALSA: hda: prevent undefined shift in snd_hdac_ext_bus_get_link()
    - iommu/vt-d: Fix a bug for PDP check in prq_event_thread
    - afs: Fix warning due to unadvanced marshalling pointer
    - can: rx-offload: don't call kfree_skb() from IRQ context
    - can: dev: can_get_echo_skb(): prevent call to kfree_skb() in hard IRQ
      context
    - can: dev: __can_get_echo_skb(): fix real payload length return value for RTR
      frames
    - can: can_create_echo_skb(): fix echo skb generation: always use skb_clone()
    - can: j1939: swap addr and pgn in the send example
    - can: j1939: j1939_sk_bind(): return failure if netdev is down
    - can: ti_hecc: ti_hecc_probe(): add missed clk_disable_unprepare() in error
      path
    - can: xilinx_can: handle failure cases of pm_runtime_get_sync
    - can: peak_usb: add range checking in decode operations
    - can: peak_usb: peak_usb_get_ts_time(): fix timestamp wrapping
    - can: peak_canfd: pucan_handle_can_rx(): fix echo management when loopback is
      on
    - can: flexcan: remove FLEXCAN_QUIRK_DISABLE_MECR quirk for LS1021A
    - c...

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (28.8 KiB)

This bug was fixed in the package linux - 4.15.0-129.132

---------------
linux (4.15.0-129.132) bionic; urgency=medium

  * bionic/linux: 4.15.0-129.132 -proposed tracker (LP: #1907635)

  * Packaging resync (LP: #1786013)
    - update dkms package versions

  * Ubuntu 18.04- call trace in kernel buffer when unloading ib_ipoib module
    (LP: #1904848)
    - SAUCE: net/mlx5e: IPoIB, initialize update_stat_work for ipoib devices

  * memory is leaked when tasks are moved to net_prio (LP: #1886859)
    - netprio_cgroup: Fix unlimited memory leak of v2 cgroups

  * s390: dbginfo.sh triggers kernel panic, reading from
    /sys/kernel/mm/page_idle/bitmap (LP: #1904884)
    - mm/page_idle.c: skip offline pages

  * Bionic update: upstream stable patchset 2020-11-23 (LP: #1905333)
    - drm/i915: Break up error capture compression loops with cond_resched()
    - tipc: fix use-after-free in tipc_bcast_get_mode
    - gianfar: Replace skb_realloc_headroom with skb_cow_head for PTP
    - gianfar: Account for Tx PTP timestamp in the skb headroom
    - net: usb: qmi_wwan: add Telit LE910Cx 0x1230 composition
    - sctp: Fix COMM_LOST/CANT_STR_ASSOC err reporting on big-endian platforms
    - sfp: Fix error handing in sfp_probe()
    - Blktrace: bail out early if block debugfs is not configured
    - i40e: Fix of memory leak and integer truncation in i40e_virtchnl.c
    - Fonts: Replace discarded const qualifier
    - ALSA: usb-audio: Add implicit feedback quirk for Qu-16
    - lib/crc32test: remove extra local_irq_disable/enable
    - kthread_worker: prevent queuing delayed work from timer_fn when it is being
      canceled
    - mm: always have io_remap_pfn_range() set pgprot_decrypted()
    - gfs2: Wake up when sd_glock_disposal becomes zero
    - ftrace: Fix recursion check for NMI test
    - ftrace: Handle tracing when switching between context
    - tracing: Fix out of bounds write in get_trace_buf
    - futex: Handle transient "ownerless" rtmutex state correctly
    - ARM: dts: sun4i-a10: fix cpu_alert temperature
    - x86/kexec: Use up-to-dated screen_info copy to fill boot params
    - of: Fix reserved-memory overlap detection
    - blk-cgroup: Fix memleak on error path
    - blk-cgroup: Pre-allocate tree node on blkg_conf_prep
    - scsi: core: Don't start concurrent async scan on same host
    - vsock: use ns_capable_noaudit() on socket create
    - drm/vc4: drv: Add error handding for bind
    - ACPI: NFIT: Fix comparison to '-ENXIO'
    - vt: Disable KD_FONT_OP_COPY
    - fork: fix copy_process(CLONE_PARENT) race with the exiting ->real_parent
    - serial: 8250_mtk: Fix uart_get_baud_rate warning
    - serial: txx9: add missing platform_driver_unregister() on error in
      serial_txx9_init
    - USB: serial: cyberjack: fix write-URB completion race
    - USB: serial: option: add Quectel EC200T module support
    - USB: serial: option: add LE910Cx compositions 0x1203, 0x1230, 0x1231
    - USB: serial: option: add Telit FN980 composition 0x1055
    - USB: Add NO_LPM quirk for Kingston flash drive
    - usb: mtu3: fix panic in mtu3_gadget_stop()
    - ARC: stack unwinding: avoid indefinite looping
    - Revert "ARC: entry: fix potential EFA c...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Alex Hung (alexhung) on 2021-01-04
Changed in linux (Ubuntu):
status: Confirmed → Fix Released

Thanks for the patch, ubuntu 20.04 is not working on the hp 635 device. it was disappointing for me. ubuntu 16.04.7 version is used without any errors. My advice is to use the 18.04 version or the 16.04 version. at least for a while. :)

Do not use version 18.04 either, computer boot failed.

To post a comment you must log in.